Opened 5 years ago

Closed 5 years ago

#44066 closed defect (fixed)

qalculate-gtk: configure: error: XML::Parser perl module is required for intltool

Reported by: Tatsh (Andrew Udvare) Owned by: jjstickel (Jonathan Stickel)
Priority: Normal Milestone:
Component: ports Version: 2.3.0
Keywords: Cc: cooljeanius (Eric Gallager)
Port: qalculate-gtk

Description

Log file attached.

Attachments (3)

config.log (20.8 KB) - added by Tatsh (Andrew Udvare) 5 years ago.
configure log
main.log (125.2 KB) - added by Tatsh (Andrew Udvare) 5 years ago.
main.log
qalculate-gtk_Portfile.diff (303 bytes) - added by jjstickel (Jonathan Stickel) 5 years ago.

Download all attachments as: .zip

Change History (13)

Changed 5 years ago by Tatsh (Andrew Udvare)

Attachment: config.log added

configure log

comment:1 Changed 5 years ago by mf2k (Frank Schima)

Owner: changed from macports-tickets@… to jjstickel@…
Port: qalculate-gtk added

In the future, please fill in the Port field and Cc the port maintainers (port info --maintainers qalculate-gtk).

Please attach the main.log file after cleaning the port.

comment:2 Changed 5 years ago by cooljeanius (Eric Gallager)

Probably needs the normal autoreconf-ing used to deal with intltool

comment:3 Changed 5 years ago by cooljeanius (Eric Gallager)

Cc: egall@… added

Cc Me!

Changed 5 years ago by Tatsh (Andrew Udvare)

Attachment: main.log added

main.log

Changed 5 years ago by jjstickel (Jonathan Stickel)

Attachment: qalculate-gtk_Portfile.diff added

comment:4 Changed 5 years ago by jjstickel (Jonathan Stickel)

Please try the attached patch. After doing a little searching, I copied the lines in from elsewhere.

comment:5 Changed 5 years ago by Tatsh (Andrew Udvare)

Got this error after patching:

$ port install qalculate-gtk
Error: Unable to open port: can't read "configure.cxx_stdlib": no such variable
Error: Unable to execute port: upgrade libqalculate failed
Last edited 5 years ago by Tatsh (Andrew Udvare) (previous) (diff)

comment:6 in reply to:  5 Changed 5 years ago by jjstickel (Jonathan Stickel)

Replying to audvare@…:

Got this error after patching:

$ port install qalculate-gtk
Error: Unable to open port: can't read "configure.cxx_stdlib": no such variable
Error: Unable to execute port: upgrade libqalculate failed

This looks like a separate issue. Not sure, but it looks like macports itself is jacked on your system; it is failing on an upgrade of libqalculate (a dependency), not on qalculate-gtk.

comment:7 Changed 5 years ago by neverpanic (Clemens Lang)

That looks like an outdated version of MacPorts. This variable didn't exist in versions lower than 2.3.0. Please check (using port version) that your MacPorts installation is up to date (i.e., 2.3.1). It it isn't, run selfupdate. If that doesn't work, see wiki:FAQ#selfupdatefails, use the installer for 2.3.1, or post the output of sudo port -d selfupdate.

comment:8 Changed 5 years ago by Tatsh (Andrew Udvare)

Thanks. I used selfupdate, tried port install qalculate-gtk again which failed with the Perl error as before. I applied the patch again and it now compiles and works great.

comment:9 Changed 5 years ago by jjstickel (Jonathan Stickel)

Thanks for the report of success!

I think this is ready to commit and close, if a developer would so oblige. Thanks.

comment:10 Changed 5 years ago by mf2k (Frank Schima)

Resolution: fixed
Status: newclosed

r122421. Thanks for your patience with this.

Note: See TracTickets for help on using tickets.